use nhanes-adl-irt-bmx, clear
drop pfq061a pfq061k pfq061t
recode pfq* bpq* bmx* (5 =.a) (7=.b) (9=.c)
local k=0
foreach x of varlist pfq061* {
   local ++k
   gen byte bpfq`k' = (`x'>1) if !missing( `x' )
   local pfqlab `pfqlab' `k' "`x'"
   ren `x' pfq`k'
}
drop pfq0*
mkspline age1 40 age2 60 age3 70 age4 = ridageyr

gen byte highbp = (bpq020==1) & !mi( bpq020 )
gen byte female = riagendr - 1
